      subroutine FCN(npar, grad, chi2, parm, flag,fcnParms,*)
      
      implicit none
      
      integer npar, flag
      real*8 grad(*), parm(*), chi2
      external fcnParms
      integer quitMinuit
      
      call minuitfcn(chi2, parm, npar, fcnParms)
      
      call refreshdisplay( chi2, flag, quitMinuit )
      return quitMinuit
      
      end
